<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_ray_tracer.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">RayTracer Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_ray_tracer.html">RayTracer</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_ray_tracer.html#a920e316dba30cabe8f44f61354dcdd83">camera</a></td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_ray_tracer.html#afb77b881327160bda0aa9dd0bae7a5f5">get_pixel_from_3D</a>(Vec point, Vec &amp;pixel)</td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_ray_tracer.html#a4239f82baac1501dc9bd5884e2b5eddc">get_shadding</a>(hit_rec &amp;h_r, bool bump)</td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_ray_tracer.html#a51007e02e88d5213dd47284360fcae45">get_visible_surface</a>(int i, int j, hit_rec &amp;h_r)</td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_ray_tracer.html#a93e5af568fdcc8f5d6a45cead69fe337">getCamera</a>()</td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_ray_tracer.html#a529ef735a2c804625b8e4e6208eec9b7">getScene</a>()</td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_ray_tracer.html#a93125040fd72bb71d06678bdcc0bbf08">hops</a></td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_ray_tracer.html#addc15de08e27710ac4fd444dec9319b5">image</a></td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_ray_tracer.html#a7181bf515b74ec7d8d89b055b48b1d88">pixels</a></td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_ray_tracer.html#ada62841980d0982da632d6aa53081538">ray_shading</a>(Scene *scene, Ray &amp;ray, int hops)</td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_ray_tracer.html#a82688d0457a19e0a96f389ef9b89f729">RayTracer</a>(Camera *_camera, Scene *_scene)</td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_ray_tracer.html#a5a7a1453c882cf71dc64827e343c1ae4">render</a>()</td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_ray_tracer.html#a352f7cb6352afbc395bac32df143982e">samples</a></td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_ray_tracer.html#a8f974dd303bcdb1de773d6fccf3127f0">save_to_file</a>()</td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_ray_tracer.html#ac9cdbb6f2d03e8c1fe9895ac87d64589">scene</a></td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_ray_tracer.html#ac8442d74a14bb488634460d587e5ac48">setDepthRayRecursion</a>(int _hops)</td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_ray_tracer.html#ae355f48cf8bd6ee996c204cde4f851dc">setNrAntiAliasingSamples</a>(int _samples)</td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_ray_tracer.html#acaf0197e36cd4b7dc85dc42d1fe0b60a">setNrShadowSamples</a>(int _shadow_samples)</td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_ray_tracer.html#aaa54f1ee77877741364c27665d4088ab">shadow_rays</a>(Scene *scene, hit_rec h_r, Light *light, Vec rnd)</td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_ray_tracer.html#aca8693132318560401e7196689f2aaf3">shadow_samples</a></td><td class="entry"><a class="el" href="class_ray_tracer.html">RayTracer</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
